Subject: RE: [Geopriv] RE: [Sip] Allowing sip: in location header not good

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Fri, 21 Jul 2006 15:22:03 +0200

I always understood that RFC 4119 was the presence using protocol
definition for RFC 4079 architecture.

If that is not the case then we have a hole in the RFCs from GEOPRIV,
because many organisations are already using RFC 4119 in presence based
architectures.  

Regards

Keith

> -----Original Message-----
> From: Thomson, Martin [mailto:[email-masked]] 
> Sent: 21 July 2006 02:51
> To: Andrew Newton
> Cc: [email-masked]; [email-masked]; James M. Polk
> Subject: RE: [Geopriv] RE: [Sip] Allowing sip: in location 
> header not good
> 
> Yes, I had forgotten.
> 
> That document is informational, saying that location is 
> presence.  What I haven't gotten yet, is whether or not this 
> document consequently implies that RFCs 3265/3859/etc... 
> define a using protocol that meets RFC 3693 requirements.
> 
> M
> 
> > -----Original Message-----
> > From: Andrew Newton [mailto:[email-masked]]
> > Sent: Friday, 21 July 2006 10:54 AM
> > To: Thomson, Martin
> > Cc: James M. Polk; Brian Rosen; [email-masked]; [email-masked]
> > Subject: Re: [Geopriv] RE: [Sip] Allowing sip: in location 
> header not 
> > good
> > 
> > 
> > On Jul 20, 2006, at 7:55 PM, Thomson, Martin wrote:
> > > That is to say - the location conveyance document doesn't 
> cover its 
> > > use, and nothing else does...yet.  When someone does a using- 
> > > protocol specification for SUB/NOT, then we have a place 
> to describe 
> > > how to use sip[s]: in the Location header.
> > 
> > I guess we've all forgotten about RFC 4079.  Here's the link:
> > http://www.ietf.org/rfc/rfc4079.txt
> > 
> > -andy
> 
> --------------------------------------------------------------
> ----------------------------------
> This message is for the designated recipient only and may 
> contain privileged, proprietary, or otherwise private information.  
> If you have received it in error, please notify the sender 
> immediately and delete the original.  Any unauthorized use of 
> this email is prohibited.
> --------------------------------------------------------------
> ----------------------------------
> [mf2]
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: "Thomson, Martin" <[email-masked]>
Date: Sun, 23 Jul 2006 18:21:32 -0500

RFC 4119: A Presence-based GEOPRIV Location Object Format

The title indicates an object format.  RFC 4119 addresses the object format requirements of RFC 3693 - I terms of claims, it makes none related to a using protocol.

Sections 3 and 4 are the closest it gets to a using protocol.  In these sections it only covers requirements for this particular object in relation to a using protocol.

I don't know if those RFCs are enough to classify as a definitive "using protocol", but evidently it is for some people. 

> From: Drage, Keith (Keith) [mailto:[email-masked]]
> Sent: Friday, 21 July 2006 11:22 PM
> To: Thomson, Martin; Andrew Newton
> Subject: RE: [Geopriv] RE: [Sip] Allowing sip: in location header not good
> 
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------
[mf2]